## dyff

dyff

### Synopsis


δyƒƒ /ˈdʏf/ - a diff tool for YAML files, and sometimes JSON. Also, It
can transform YAML to JSON, and vice versa. The order of keys in hashes
is preserved during the conversion.


### Options

```
  -c, --color                        specify color usage: on, off, or auto (default auto)
  -t, --truecolor                    specify true color usage: on, off, or auto (default auto)
  -w, --fixed-width int              disable terminal width detection and use provided fixed value (default -1)
  -k, --preserve-key-order-in-json   use ordered keys during JSON decoding (non standard behavior)
  -h, --help                         help for dyff
```

### SEE ALSO

* [dyff between](dyff_between.md)	 - Compare differences between input files from and to
* [dyff json](dyff_json.md)	 - Converts input documents into JSON format
* [dyff last-applied](dyff_last-applied.md)	 - Compare differences between the current state and the one stored in Kubernetes last-applied configuration
* [dyff version](dyff_version.md)	 - Shows the version of this tool
* [dyff yaml](dyff_yaml.md)	 - Converts input documents into YAML format

